﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\LOG_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_EVT_EVENT', 'T_EVT_EVENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_EVENT_NUMBER') CREATE INDEX IDX_EVT_EVENT_NUMBER ON T_EVT_EVENT ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_EVENT_ENTITY') CREATE INDEX IDX_EVT_EVENT_ENTITY ON T_EVT_EVENT ( FENTITY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_EVENT_OPERNUMBER') CREATE INDEX IDX_EVT_EVENT_OPERNUMBER ON T_EVT_EVENT ( FOPERNUMBER );


 EXEC P_ALTERPK 'PK_T_EVT_EVENT_L', 'T_EVT_EVENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_EVENT_L') CREATE INDEX IDX_EVT_EVENT_L ON T_EVT_EVENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_EVT_EVENTCONFIG', 'T_EVT_EVENTCONFIG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_EVENTCONFIG') CREATE INDEX IDX_EVT_EVENTCONFIG ON T_EVT_EVENTCONFIG ( FID );


 EXEC P_ALTERPK 'PK_T_EVT_EVENTCONFIG_L', 'T_EVT_EVENTCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_EVENTCONFIG_L') CREATE INDEX IDX_EVT_EVENTCONFIG_L ON T_EVT_EVENTCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_EVT_SERVICE', 'T_EVT_SERVICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_SERVICE_NUMBER') CREATE INDEX IDX_EVT_SERVICE_NUMBER ON T_EVT_SERVICE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_EVT_SERVICE_L', 'T_EVT_SERVICE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_SERVICE_L') CREATE INDEX IDX_EVT_SERVICE_L ON T_EVT_SERVICE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_EVT_SUBSCRIPTION', 'T_EVT_SUBSCRIPTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_SUBSCR_EVENT') CREATE INDEX IDX_EVT_SUBSCR_EVENT ON T_EVT_SUBSCRIPTION ( FEVENT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_SUBSCR_EVTNUMBER') CREATE INDEX IDX_EVT_SUBSCR_EVTNUMBER ON T_EVT_SUBSCRIPTION ( FEVENTNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_SUBSCR_SERVICE') CREATE INDEX IDX_EVT_SUBSCR_SERVICE ON T_EVT_SUBSCRIPTION ( FSERVICE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_SUBSCR_SERVNUMBER') CREATE INDEX IDX_EVT_SUBSCR_SERVNUMBER ON T_EVT_SUBSCRIPTION ( FSERVICENUMBER );


 EXEC P_ALTERPK 'PK_T_EVT_SUBSCRIPTION_L', 'T_EVT_SUBSCRIPTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_SUBSCRIPTION_L') CREATE INDEX IDX_EVT_SUBSCRIPTION_L ON T_EVT_SUBSCRIPTION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EVT_DEADLETTERJOB', 'T_EVT_DEADLETTERJOB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_DEADLETJOB_EXEC') CREATE INDEX IDX_EVT_DEADLETJOB_EXEC ON T_EVT_DEADLETTERJOB ( FEXECUTIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_DEADLETJOB_PROCDEF') CREATE INDEX IDX_EVT_DEADLETJOB_PROCDEF ON T_EVT_DEADLETTERJOB ( FPROCDEFID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_DEADLETJOB_PROC') CREATE INDEX IDX_EVT_DEADLETJOB_PROC ON T_EVT_DEADLETTERJOB ( FPROCESSINSTANCEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_DEADLETJOB_BUSKEY') CREATE INDEX IDX_EVT_DEADLETJOB_BUSKEY ON T_EVT_DEADLETTERJOB ( FBUSINESSKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_DEADJOB_MODIFYDATE') CREATE INDEX IDX_EVT_DEADJOB_MODIFYDATE ON T_EVT_DEADLETTERJOB ( FMODIFYDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_DEADLETTERJOB_DATE') CREATE INDEX IDX_EVT_DEADLETTERJOB_DATE ON T_EVT_DEADLETTERJOB ( FCREATEDATE ,FMODIFYDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_DEADJOB_TYPE_RETRIES') CREATE INDEX IDX_EVT_DEADJOB_TYPE_RETRIES ON T_EVT_DEADLETTERJOB ( FRETRIES ,FHANDLERTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_DEADJOB_ERRORTYPE') CREATE INDEX IDX_EVT_DEADJOB_ERRORTYPE ON T_EVT_DEADLETTERJOB ( FERRORTYPE );


 EXEC P_ALTERPK 'PK_EVT_DEADLETTERJOB_L', 'T_EVT_DEADLETTERJOB_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_DEADLETTERJOB_L_LOC') CREATE INDEX IDX_EVT_DEADLETTERJOB_L_LOC ON T_EVT_DEADLETTERJOB_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EVT_JOBRECORD', 'T_EVT_JOBRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_JOBRECORD_EXECUTION') CREATE INDEX IDX_EVT_JOBRECORD_EXECUTION ON T_EVT_JOBRECORD ( FEXECUTIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_JOBRECORD_PROCDEF') CREATE INDEX IDX_EVT_JOBRECORD_PROCDEF ON T_EVT_JOBRECORD ( FPROCDEFID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_JOBRECORD_PROCINST') CREATE INDEX IDX_EVT_JOBRECORD_PROCINST ON T_EVT_JOBRECORD ( FPROCESSINSTANCEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_JOBRECORD_ROOTJOBID') CREATE INDEX IDX_EVT_JOBRECORD_ROOTJOBID ON T_EVT_JOBRECORD ( FROOTJOBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_JOBRECORD_LOCKSTATE') CREATE INDEX IDX_EVT_JOBRECORD_LOCKSTATE ON T_EVT_JOBRECORD ( FLOCKEXPTIME ,FSTATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_JOBREC_BUSKEY_STATE') CREATE INDEX IDX_EVT_JOBREC_BUSKEY_STATE ON T_EVT_JOBRECORD ( FBUSINESSKEY ,FSTATE );


 EXEC P_ALTERPK 'PK_EVT_TIMERJOB', 'T_EVT_TIMERJOB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_TIMER_JOB_EXECUTIONID') CREATE INDEX IDX_EVT_TIMER_JOB_EXECUTIONID ON T_EVT_TIMERJOB ( FEXECUTIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_TIMER_JOB_PROC_DEF_ID') CREATE INDEX IDX_EVT_TIMER_JOB_PROC_DEF_ID ON T_EVT_TIMERJOB ( FPROCDEFID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_TIMER_JOB_PROCESS_ID') CREATE INDEX IDX_EVT_TIMER_JOB_PROCESS_ID ON T_EVT_TIMERJOB ( FPROCESSINSTANCEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_TIMER_JOB_DUEDATE') CREATE INDEX IDX_EVT_TIMER_JOB_DUEDATE ON T_EVT_TIMERJOB ( FLOCKOWNERID ,FDUEDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVT_TIMER_JOB_BUSKEY') CREATE INDEX IDX_EVT_TIMER_JOB_BUSKEY ON T_EVT_TIMERJOB ( FBUSINESSKEY );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\LOG_constraint.sql **/
