﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\LOG_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVT_EVENT') 
 CREATE TABLE T_EVT_EVENT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(500) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(100) DEFAULT ' ' NOT NULL,
FOPERNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FSCENE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVT_EVENT_L') 
 CREATE TABLE T_EVT_EVENT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVT_EVENTCONFIG') 
 CREATE TABLE T_EVT_EVENTCONFIG (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONFIGNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONFIGTYPE VARCHAR(1000) DEFAULT ' ' NOT NULL,
FCONFIGNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONFIGDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVT_EVENTCONFIG_L') 
 CREATE TABLE T_EVT_EVENTCONFIG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONFIGNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONFIGDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVT_SERVICE') 
 CREATE TABLE T_EVT_SERVICE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(500) DEFAULT ' ' NOT NULL,
FAPP VARCHAR(36) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FIMPLEMENTATION VARCHAR(400) DEFAULT ' ' NOT NULL,
FCONFIG VARCHAR(36) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FSCENE VARCHAR(100) DEFAULT ' ' NOT NULL,
FINNERSERVICE CHAR(1) DEFAULT '0' NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVT_SERVICE_L') 
 CREATE TABLE T_EVT_SERVICE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVT_SUBSCRIPTION') 
 CREATE TABLE T_EVT_SUBSCRIPTION (
FID BIGINT DEFAULT 0 NOT NULL,
FEVENT BIGINT DEFAULT 0 NOT NULL,
FSERVICE BIGINT DEFAULT 0 NOT NULL,
FSERVICECONFIG NCLOB,
FNUMBER VARCHAR(500) DEFAULT ' ' NOT NULL,
FISCONCURRENT CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FEXPRESSION NCLOB,
FCONDITION NCLOB,
FERRORSTRATEGY VARCHAR(30) DEFAULT ' ' NOT NULL,
FERRORNOTIFY NCLOB,
FSEQUENCE INT DEFAULT 0 NOT NULL,
FTIMINGSTRATEGY VARCHAR(100) DEFAULT ' ' NOT NULL,
FEVENTNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FSERVICENUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVT_SUBSCRIPTION_L') 
 CREATE TABLE T_EVT_SUBSCRIPTION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVT_DEADLETTERJOB') 
 CREATE TABLE T_EVT_DEADLETTERJOB (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FEXCLUSIVE CHAR(1) DEFAULT '0' NOT NULL,
FEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FPROCESSINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FEXCEPTIONMSG NCLOB,
FDUEDATE DATETIME,
FREPEAT VARCHAR(30) DEFAULT ' ' NOT NULL,
FRETRIES INT DEFAULT 0 NOT NULL,
FHANDLERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FHANDLERCFG NCLOB,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(300) DEFAULT ' ' NOT NULL,
FERRORCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FERRORTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOLUTION VARCHAR(2000) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXCEPTIONSTACKMSG NCLOB,
FELEMENTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FSRCJOBID BIGINT DEFAULT 0 NOT NULL,
FROOTTRACENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRABILLNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBJECT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FELEMENTNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVT_DEADLETTERJOB_L') 
 CREATE TABLE T_EVT_DEADLETTERJOB_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(8) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRABILLNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBJECT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FELEMENTNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVT_JOBRECORD') 
 CREATE TABLE T_EVT_JOBRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLOCKEXPTIME DATETIME,
FLOCKOWNERID VARCHAR(100) DEFAULT ' ' NOT NULL,
FEXCLUSIVE CHAR(1) DEFAULT '0' NOT NULL,
FEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FPROCESSINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FRETRIES INT DEFAULT 3 NOT NULL,
FEXCEPTIONMSG NCLOB,
FDUEDATE DATETIME,
FREPEAT VARCHAR(30) DEFAULT ' ' NOT NULL,
FHANDLERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FHANDLERCFG NCLOB,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(300) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FELEMENTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FSRCJOBID BIGINT DEFAULT 0 NOT NULL,
FROOTTRACENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FEXECUTOR VARCHAR(100) DEFAULT ' ' NOT NULL,
FSUCCESS CHAR(1) DEFAULT '1' NOT NULL,
FENDTIME DATETIME,
FDURATION BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(60) DEFAULT ' ' NOT NULL,
FROOTJOBID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVT_TIMERJOB') 
 CREATE TABLE T_EVT_TIMERJOB (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLOCKEXPTIME DATETIME,
FLOCKOWNERID VARCHAR(100) DEFAULT ' ' NOT NULL,
FEXCLUSIVE CHAR(1) DEFAULT '0' NOT NULL,
FEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FPROCESSINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FRETRIES INT DEFAULT 3 NOT NULL,
FEXCEPTIONMSG NCLOB,
FDUEDATE DATETIME,
FREPEAT VARCHAR(30) DEFAULT ' ' NOT NULL,
FHANDLERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FHANDLERCFG NCLOB,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(300) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FELEMENTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FSRCJOBID BIGINT DEFAULT 0 NOT NULL,
FROOTTRACENO VARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\LOG_table.sql **/
