﻿/** kd_1.0.30_wf_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_HIUSERACTINST') 
 CREATE TABLE T_WF_HIUSERACTINST (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENTACTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FLASTUSERNODEACTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FPROINSTID BIGINT DEFAULT 0 NOT NULL,
FPATHJSON VARCHAR(2000) DEFAULT ' ' NOT NULL,
FLASTNODECID BIGINT DEFAULT 0 NOT NULL,
FCURRENTACTINSTID BIGINT DEFAULT 0 NOT NULL,
FLASTNODEACTINSTID BIGINT DEFAULT 0 NOT NULL,
FEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FENDTIME DATETIME,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_HIUSERACTINST_L') 
 CREATE TABLE T_WF_HIUSERACTINST_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(8) DEFAULT ' ' NOT NULL,
FLASTNODENAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FCURRENTNODENAME VARCHAR(255) DEFAULT ' ' NOT NULL
);

/** kd_1.0.36_wf_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HIUSERACTINST' AND KSQL_COL_NAME IN ('FJOINFLAG')) 
 ALTER TABLE T_WF_HIUSERACTINST ADD (FJOINFLAG VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HIUSERACTINST' AND KSQL_COL_NAME IN ('FCURRENTEXECUTIONID')) 
 ALTER TABLE T_WF_HIUSERACTINST ADD (FCURRENTEXECUTIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HIACTINST' AND KSQL_COL_NAME IN ('FJOINFLAG')) 
 ALTER TABLE T_WF_HIACTINST ADD (FJOINFLAG VARCHAR(255) DEFAULT ' ' NOT NULL );
 
/** kd_1.0.37_wf_table.sql **/ 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HIUSERACTINST' AND KSQL_COL_NAME IN ('FENDTYPE')) 
 ALTER TABLE T_WF_HIUSERACTINST ADD (FENDTYPE VARCHAR(100) DEFAULT ' ' NOT NULL );



IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HIACTINST' AND KSQL_COL_NAME IN ('FFORKPATH')) 
 ALTER TABLE T_WF_HIACTINST ADD (FFORKPATH VARCHAR(2000) DEFAULT ' ' NOT NULL );