﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PROCANALYSIS') 
 CREATE TABLE T_WF_PROCANALYSIS (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FPROCNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROCVERSION VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FORGUNITID BIGINT DEFAULT 0 NOT NULL,
FYEARS VARCHAR(10) DEFAULT ' ' NOT NULL,
FINSTANCECOUNT INT DEFAULT 0 NOT NULL,
FTOTALDURATION BIGINT DEFAULT 0 NOT NULL,
FPROCNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PROCANALYSIS_L') 
 CREATE TABLE T_WF_PROCANALYSIS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPROCNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NODEANALYSIS') 
 CREATE TABLE T_WF_NODEANALYSIS (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FPROCNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FORGUNITID BIGINT DEFAULT 0 NOT NULL,
FNODEID VARCHAR(255) DEFAULT ' ' NOT NULL,
FNODETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FYEARS VARCHAR(10) DEFAULT ' ' NOT NULL,
FINSTANCECOUNT INT DEFAULT 0 NOT NULL,
FTOTALDURATION BIGINT DEFAULT 0 NOT NULL,
FMAXDURATION BIGINT DEFAULT 0 NOT NULL,
FPROCNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FNODENAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FNODETYPENAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NODEANALYSIS_L') 
 CREATE TABLE T_WF_NODEANALYSIS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPROCNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FNODENAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FNODETYPENAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PERSONANALYSIS') 
 CREATE TABLE T_WF_PERSONANALYSIS (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FPROCNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FORGUNITID BIGINT DEFAULT 0 NOT NULL,
FNODEID VARCHAR(255) DEFAULT ' ' NOT NULL,
FNODETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FASSIGNEEID BIGINT DEFAULT 0 NOT NULL,
FASSIGNEENUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FASSIGNEEAVATAR VARCHAR(300) DEFAULT ' ' NOT NULL,
FYEARS VARCHAR(10) DEFAULT ' ' NOT NULL,
FINSTANCECOUNT INT DEFAULT 0 NOT NULL,
FTOTALDURATION BIGINT DEFAULT 0 NOT NULL,
FMAXDURATION BIGINT DEFAULT 0 NOT NULL,
FPROCNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FNODENAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FNODETYPENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FASSIGNEE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PERSONANALYSIS_L') 
 CREATE TABLE T_WF_PERSONANALYSIS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPROCNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FNODENAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FNODETYPENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FASSIGNEE NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
