﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_CHANNEL') 
 CREATE TABLE T_MSG_CHANNEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCATEGORY VARCHAR(30) DEFAULT ' ' NOT NULL,
FMOBILEAPP VARCHAR(30) DEFAULT ' ' NOT NULL,
FSMTPHOST VARCHAR(100) DEFAULT ' ' NOT NULL,
FSMTPPORT VARCHAR(100) DEFAULT ' ' NOT NULL,
FUSERNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FPASSWORD VARCHAR(100) DEFAULT ' ' NOT NULL,
FFROMACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FSMSAPIURL VARCHAR(400) DEFAULT ' ' NOT NULL,
FSMSCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCLIENTID VARCHAR(100) DEFAULT ' ' NOT NULL,
FCLIENTSECRET VARCHAR(100) DEFAULT ' ' NOT NULL,
FMOBILEAPPCONFIG NCLOB,
FSERVICECLASS VARCHAR(400) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCORPID VARCHAR(100) DEFAULT ' ' NOT NULL,
FAGENTID VARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPSECRET VARCHAR(500) DEFAULT ' ' NOT NULL,
FISHASDINGTPL CHAR(1) DEFAULT '0' NOT NULL,
FTPLPROCESSCODE VARCHAR(500) DEFAULT ' ' NOT NULL,
FTPLNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FDOMAIN VARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_CHANNEL_L') 
 CREATE TABLE T_MSG_CHANNEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FFROMUSERNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_PUBACC') 
 CREATE TABLE T_MSG_PUBACC (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCODE VARCHAR(255) DEFAULT ' ' NOT NULL,
FKEY VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_PUBACC_L') 
 CREATE TABLE T_MSG_PUBACC_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_SELECTSCENE') 
 CREATE TABLE T_MSG_SELECTSCENE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_SRVCFG') 
 CREATE TABLE T_MSG_SRVCFG (
FID BIGINT DEFAULT 0 NOT NULL,
FSMTPHOST VARCHAR(255) DEFAULT ' ' NOT NULL,
FSMTPPORT VARCHAR(10) DEFAULT ' ' NOT NULL,
FUSERNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FPASSWORD VARCHAR(255) DEFAULT ' ' NOT NULL,
FFROMACCOUNT VARCHAR(255) DEFAULT ' ' NOT NULL,
FSMSAPIURL VARCHAR(255) DEFAULT ' ' NOT NULL,
FCLIENTID VARCHAR(255) DEFAULT ' ' NOT NULL,
FCLIENTSECRET VARCHAR(255) DEFAULT ' ' NOT NULL,
FSMSCODE VARCHAR(255) DEFAULT ' ' NOT NULL,
FPUBACCAPIURL VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONSUMER VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_SRVCFG_L') 
 CREATE TABLE T_MSG_SRVCFG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FFROMUSERNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_TEMPLATE') 
 CREATE TABLE T_MSG_TEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FMSGTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMSGCHANNEL VARCHAR(30) DEFAULT ' ' NOT NULL,
FMSGSCENE VARCHAR(300) DEFAULT ' ' NOT NULL,
FMSGTEMPLATE NCLOB,
FMSGENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_TEMPLATE_L') 
 CREATE TABLE T_MSG_TEMPLATE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FMSGSCENENAME VARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_TPLSCENE') 
 CREATE TABLE T_MSG_TPLSCENE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_TPLSCENE_L') 
 CREATE TABLE T_MSG_TPLSCENE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_TYPE') 
 CREATE TABLE T_MSG_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCATEGORY VARCHAR(30) DEFAULT ' ' NOT NULL,
FCHANNELS VARCHAR(300) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_TYPE_L') 
 CREATE TABLE T_MSG_TYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCHANNELNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
